System.ServiceModel 4.0.0.0 System.Object

This class contains the instances of different messages, each distinguished by the message Action.

Specifies which parts are included in a message.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class from another instance of this class.

  The other .
- Property
  4.0.0.0
  System.Collections.Generic.ICollection<System.String> To be added. To be added.

  Gets a collection of action keys.

- Method
  4.0.0.0
  System.Void `` To be added.

  Adds channel message parts to the collections in the instance of this class.

  The that contains the parts to be added.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Adds message parts to the MessagePartSpecification that corresponds to the specified action.

  The that contains the parts to be added. The action key to match to.
- Property
  4.0.0.0
  System.ServiceModel.Security.MessagePartSpecification To be added.

  The channel parts denote the message parts that are common to all the messages.

  Gets a message part specification that contains the channel parts.

- Property
  4.0.0.0
  System.Boolean To be added.

  You can use to set this property to true.

  Indicates whether the specification is read-only.

- Method
  4.0.0.0
  System.Void To be added.

  Sets the specification to read-only.

- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.